Bug 253541 (CVE-2007-4462) - CVE-2007-4462 New release of po4a fixes insecure /tmp file usage
Summary: CVE-2007-4462 New release of po4a fixes insecure /tmp file usage
Status: CLOSED ERRATA
Alias: CVE-2007-4462
Product: Fedora
Classification: Fedora
Component: po4a (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL: http://alioth.debian.org/frs/shownote...
Whiteboard: impact=low,source=gentoo
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 14:41 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.32-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 05:37:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-08-20 14:41:03 UTC
Description of problem:

The new release of po4a fixes a potential security problem (information leak)
due to use of predictable name in /tmp. This line in
po4a-0.29/lib/Locale/Po4a/Po.pm file is problematic:

 454             $pores->write("/tmp/gettextization.failed.po");

Additional info:

A CVE name for this issue has been requested.
Reference to Gentoo Bugzilla: http://bugs.gentoo.org/show_bug.cgi?id=189440

Comment 1 Lubomir Kundrak 2007-08-21 20:48:19 UTC
Mitre assigned the identifier CVE-2007-4462 to this issue.

Comment 2 Fedora Update System 2007-08-24 05:37:07 UTC
po4a-0.32-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.